<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Vector Math Operations</TITLE>
<link href="suifmath_26.html" rel=Next>
<link href="suifmath_24.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_24.html">previous</A>, <A HREF="suifmath_26.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC29" HREF="suifmath_toc.html#TOC29">Vector Math Operations</A></H3>

<P>
<A NAME="IDX461"></A>
<A NAME="IDX462"></A>
<A NAME="IDX463"></A>
<A NAME="IDX464"></A>
<A NAME="IDX465"></A>
<A NAME="IDX466"></A>
<A NAME="IDX467"></A>
<A NAME="IDX468"></A>
<A NAME="IDX469"></A>
A number of vector-vector operations are provided.  These include
addition, subtraction, multiplication and division.  Either a new matrix
can be created (i.e. <CODE>x = y + z</CODE>) or the result can be stored into
one of the operands (i.e. <CODE>x += y</CODE>).  Also, the method <CODE>dot</CODE>
calculates the dot product of two vectors.

</P>
<P>
<A NAME="IDX470"></A>
<A NAME="IDX471"></A>
<A NAME="IDX472"></A>
<A NAME="IDX473"></A>
The <CODE>fract_vector</CODE> class has methods that operate on every element
of the vector.  These include functions that add, subtract, multiply or
divide a fraction or integer to every element.

</P>
<P>
<A NAME="IDX474"></A>
<A NAME="IDX475"></A>
<A NAME="IDX476"></A>
A number of miscellaneous math operations on vectors are also available.
The method <CODE>inverse</CODE> returns a <CODE>fract_vector</CODE> where every
element is the inverse of the original vector.  The <CODE>proportional</CODE>
method checks to see if two vectors are proportional (i.e. all the
corresponding elements have the same ratio).  The
<CODE>reduce_magnitude</CODE> method will try to maximally reduce the
numerator of all the fractions in the vector.

</P>
<P>
<A NAME="IDX477"></A>
<A NAME="IDX478"></A>
The <CODE>projection</CODE> method takes a <CODE>fract_vector</CODE> as an argument
and returns a <CODE>fract_vector</CODE> representing the point that's the
projection of the current vector onto the line spanned by the argument
vector.  Let <CODE>a</CODE> be the argument, <CODE>b</CODE> be the current vector,
and <CODE>p</CODE> be the resulting point.  Also let <CODE>aT</CODE> be the
transpose of <CODE>a</CODE>.  The projection is calculated using the following
equation: <CODE>p = a * (aT * b / aT * a)</CODE>.

</P>
<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_24.html">previous</A>, <A HREF="suifmath_26.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
